<div class="billTableContainer">
  <mat-form-field appearance="outline" class="marginTop">
    <mat-label>Filter</mat-label>
    <input matInput (keyup)="applyFilter($event)" #input>
  </mat-form-field>

  <table *ngIf="players" mat-table [dataSource]="dataSource" class="billTable">
    <ng-container [matColumnDef]="'name'">
      <th mat-header-cell *matHeaderCellDef>Name</th>
      <td  mat-cell *matCellDef="let element">{{element.name}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'team'">
      <th mat-header-cell *matHeaderCellDef>Team</th>
      <td  mat-cell *matCellDef="let element">{{getTeamById(element.teamId)?.shortName}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'state'">
      <th mat-header-cell *matHeaderCellDef>State</th>
      <td  mat-cell *matCellDef="let element">
        <span class="{{element.paid ? 'paidStatusElement' : 'unpaidStatusElement'}}">{{element.paid ? 'Paid' : 'Not paid'}}</span>
      </td>
    </ng-container>
    <ng-container [matColumnDef]="'withpf'">
      <th mat-header-cell *matHeaderCellDef>With PF</th>
      <td  mat-cell *matCellDef="let element">
        <fa-icon [icon]="element.withPlayersFee ? faCheck : faXmark"></fa-icon>
      </td>
    </ng-container>
    <ng-container [matColumnDef]="'pfamount'">
      <th mat-header-cell *matHeaderCellDef>PF Amount</th>
      <td  mat-cell *matCellDef="let element">{{settingsHandler.getAmountFormatted(element.paidPlayersFee || 0)}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'paytime'">
      <th mat-header-cell *matHeaderCellDef>Pay Time</th>
      <td  mat-cell *matCellDef="let element">{{settingsHandler.getTimestampFormatted(element.payTime)}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'comment'">
      <th mat-header-cell *matHeaderCellDef>Comment</th>
      <td  mat-cell *matCellDef="let element">{{element.comment}}</td>
    </ng-container>
    <ng-container [matColumnDef]="'pay'">
      <th class="talliesTableImageColumn" mat-header-cell *matHeaderCellDef>Pay</th>
      <td class="talliesTableImageColumn" mat-cell *matCellDef="let element">
        <button mat-raised-button color="{{element.paid ? '' : 'primary'}}"
                (click)="pay.emit(element)">{{element.paid ? 'Revoke' : 'Pay'}}</button>
      </td>
    </ng-container>

    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>

    <!-- Row shown when there is no matching data. -->
    <tr class="mat-row" *matNoDataRow>
      <td class="mat-cell" colspan="8">No data matching the filter "{{input.value}}"</td>
    </tr>
  </table>
</div>
